kcapi_md_hmac_sha256
Prev | Message Digest Cipher API - Convenience | Next

## Name

kcapi_md_hmac_sha256 — HMAC SHA-256 keyed message digest on one buffer

## Synopsis

`ssize_t kcapi_md_hmac_sha256 (` | const uint8_t * key,
| uint32_t keylen,
| const uint8_t * in,
| size_t inlen,
| uint8_t * out,
| size_t outlen`)`;

## Arguments

`key`

  [in] buffer with HMAC key

`keylen`

  [in] length of HMAC key buffer

`in`

  [in] buffer with input data

`inlen`

  [in] length of input buffer

`out`

  [out] buffer for message digest

`outlen`

  [in] length of out

## Description

With this one-shot convenience function, a keyed message digest of the given buffer is generated. The output buffer must be allocated by the caller and have at least the length of the message digest size for the chosen keyed message digest.

`return` size of message digest upon success; -EIO - data cannot be obtained; -ENOMEM - buffer is too small for the complete message digest, the buffer is filled with the truncated message digest

Prev | Up | Next
kcapi_md_hmac_sha224 | Home | kcapi_md_hmac_sha384